using System;

namespace takmicenje
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] unos = Console.ReadLine().Split();
            int N = int.Parse(unos[0]);
            int M = int.Parse(unos[1]);

            int[] koeficijent = new int[N];
            int[,] parovi = new int [N, 2];

            int ukupna_sreca = 0;

            for (int i = 0; i < N; i++)
            {
                koeficijent[i] = int.Parse(Console.ReadLine());       
            }

            for(int i =0; i < M; i++)
            {
                string[] u = Console.ReadLine().Split();
                int a = int.Parse(u[0]);
                int b = int.Parse(u[1]);

                //parovi[n,1] neprijatelji
                //parovi[1,n] prijatelji

                if (koeficijent[a - 1] <= 0 || koeficijent[b - 1] <= 0) {
                    parovi[a - 1, 1]++;
                    parovi[b - 1, 1]++;
                } else
                {
                    parovi[a - 1, 0]++;
                    parovi[b - 1, 0]++;
                }
            }

            for (int i = 0; i < N; i++)
            {
                ukupna_sreca += koeficijent[i] * (parovi[i,0] - parovi[i,1]);
            }

            Console.WriteLine(ukupna_sreca);

        }
    }
}